import React, { useState, useEffect } from 'react';
import { Form, Modal, Input, Select, notification, Button } from 'antd';
import styles from '../SchemeConfig.less'

import {
  SetServiceConfig,
} from '@/services/webConfig/api';
import {
  addMySQLConnString,
  editMySQLConnString,
} from '@/services/database/api';
import { number } from 'prop-types';
const { Item } = Form;
const { Option } = Select;
const AddModal = props => {
  const { callBackSubmit = () => { }, type, formObj, visible } = props;
  const [loading, setLoading] = useState(false);
  const [mapType, setMapType] = useState(0);
  const [ImgIndex, setImgIndex] = useState('');
  const [baseMaplist, setBaseMaplist] = useState([]);
  const [form] = Form.useForm();
  // 提交
  const onSubmit = () => {
    form.validateFields().then(validate => {
      if (validate) {
        // setLoading(true);
        // let obj = form.getFieldsValue();
        // if (type === 'add') {
        //   addMySQLConnString({
        //     _version: 9999,
        //     _dc: Date.now(),
        //     ...obj,
        //   })
        //     .then(res => {
        //       setLoading(false);
        //       if (res.success) {
        //         form.resetFields();
        //         callBackSubmit();
        //         notification.success({
        //           message: '提示',
        //           duration: 3,
        //           description: res.message || '新增成功',
        //         });
        //       } else {
        //         notification.error({
        //           message: '提示',
        //           duration: 3,
        //           description: res.message || '新增失败',
        //         });
        //       }
        //     })
        //     .catch(err => {
        //       setLoading(false);
        //       console.error(err);
        //     });
        // } else if (type === 'edit') {
        //   handleEdit();
        // }
      }
    });
  };
  const handleEdit = () => {
    // let obj = form.getFieldsValue();
    // SetServiceConfig({
    //   servicename: serviceName,
    //   terminalType: 'base',
    //   isBaseMap: true,
    //   jsonCfg: JSON.stringify(query)
    // })
    //   .then(res => {
    //     setLoading(false);
    //     if (res.success) {
    //       form.resetFields();
    //       callBackSubmit();
    //       notification.success({
    //         message: '提示',
    //         duration: 3,
    //         description: res.message || '编辑成功',
    //       });
    //     } else {
    //       notification.error({
    //         message: '提示',
    //         duration: 3,
    //         description: res.message || '编辑失败',
    //       });
    //     }
    //   })
    //   .catch(err => setLoading(false));
  };

  const onFinish = value => { };
  useEffect(() => {
    switch (type) {
      case 'add':
        form.resetFields();
        break;
      case 'edit':
        form.setFieldsValue({ ...formObj });

        break;
      default:
        break;
    }
  }, [visible]);


  const layout = {
    layout: 'horizontal',
    labelCol: {
      span: 4,
    },
    wrapperCol: {
      span: 16,
    },
  };

  //选择服务名
  const handleChange = () => { }
  //选择管网
  const handleService = () => { }
  //选择底图
  const handleBaseMap = ()=>{}
  return (
    <Modal
      title={`${type === 'add' ? '添加底图' : '添加方案'}`}
      bodyStyle={{ width: '100%', minHeight: '100px' }}
      style={{ top: '150px' }}
      width="700px"
      destroyOnClose
      maskClosable={false}
      cancelText="取消"
      okText="确认"
      {...props}
      onOk={() => onSubmit()}
      confirmLoading={loading}
      forceRender={true}
      getContainer={false}
    >
      {visible && (
        <Form form={form} {...layout} onFinish={onFinish}>
          {type === 'add' ? <Item
            label="服务名"
            name="password"
          >
            <Select onChange={handleChange}>
            </Select>
          </Item> :
            <>
              <Item
                label="方案名"
                name="schemename"
                rules={[{ required: true, message: '请输入方案名' }]}
              >
                <Input placeholder="请输入方案名" allowClear />
              </Item>
              <Item
                label="管网"
                name="servicename"
              >
                <Select onChange={handleService}>
                </Select>
              </Item>
              <Item
                label="标签"
                name="label"
              >
                <Input placeholder="请输入标签" allowClear />
              </Item>
              <Item
                label="url"
                name="url"
              >
                <Input placeholder="请输入url" allowClear />
              </Item>
              <Item
                label="默认底图"
                name="servicename"
                rules={[{ required: true, message: '请选择底图' }]}
              >
                <Select onChange={handleBaseMap}>
                </Select>
              </Item>
            </>
          }


        </Form>
      )}
    </Modal>
  );
};
export default AddModal;
